BlobServiceProperties Class
The properties of a storage account's Blob service.
Variables are only populated by the server, and will be ignored when sending a request.
- Inheritance
-
azure.mgmt.storage.v2018_11_01.models._models_py3.ResourceBlobServiceProperties
Constructor
BlobServiceProperties(*, cors: Optional[azure.mgmt.storage.v2018_11_01.models._models_py3.CorsRules] = None, default_service_version: Optional[str] = None, delete_retention_policy: Optional[azure.mgmt.storage.v2018_11_01.models._models_py3.DeleteRetentionPolicy] = None, **kwargs)
Variables
- id
- str
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}.
- name
- str
The name of the resource.
- type
- str
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts".
- cors
- CorsRules
Specifies CORS rules for the Blob service. You can include up to five CorsRule elements in the request. If no CorsRule elements are included in the request body, all CORS rules will be deleted, and CORS will be disabled for the Blob service.
- default_service_version
- str
DefaultServiceVersion indicates the default version to use for requests to the Blob service if an incoming request's version is not specified. Possible values include version 2008-10-27 and all more recent versions.
- delete_retention_policy
- DeleteRetentionPolicy
The blob service properties for soft delete.
Feedback
Submit and view feedback for